package com.goafanti.common.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.Banners;

public interface BannersMapper {
    int deleteByPrimaryKey(Long id);

    int insert(Banners record);

    int insertSelective(Banners record);

    Banners selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Banners record);

    int updateByPrimaryKey(Banners record);

	List<Banners> findBannerList(Map<String, Object> params);

	int findBannerListCount(@Param(value = "sign") String sign);
}